メインコンテンツへスキップ
GET
/
v2
/
redpacket
/
wallet
/
{address}
/
redpackets
レッドパケット - アドレス別一覧
curl --request GET \
  --url https://api.chainstream.io/v2/redpacket/wallet/{address}/redpackets \
  --header 'Authorization: Bearer <token>'
{
  "hasNextPage": true,
  "records": [
    {
      "creator": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "id": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
      "maxClaims": 10,
      "mint": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
      "totalAmount": "1000000000",
      "chain": "sol",
      "claimAuthority": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
      "claimedAmount": "500000000",
      "claimedCount": 5,
      "createdAt": 1717334400000,
      "expiration": 24,
      "expired": true,
      "expiredAt": 1717420800000,
      "memo": "Happy Red Packet",
      "refundedAmount": "0",
      "shareId": "abc123",
      "txHash": "5UfDuX7hXbL3mFfPdq1pymNHM..."
    }
  ],
  "total": 123,
  "endCursor": "<string>",
  "startCursor": "<string>"
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

address
string
必須

ウォレットのアドレス

クエリパラメータ

cursor
string

ページネーションカーソル

limit
integer<int64>

ページあたりの結果数

direction
enum<string>
デフォルト:next

ページネーション方向 Pagination direction

利用可能なオプション:
next,
prev

レスポンス

200 - application/json

成功レスポンス

Paginated red packets response

hasNextPage
boolean
必須

次のページがあるかどうか

records
object[]
必須

レッドパケットリスト

total
integer<int64>
必須

レッドパケットの総数

endCursor
string | null

現在のページの終了カーソル

startCursor
string | null

現在のページの開始カーソル